Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509852 - [abrt] fwupd: __strcmp_sse2_unaligned(): fwupd killed by SIGSEGV
Summary: [abrt] fwupd: __strcmp_sse2_unaligned(): fwupd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8f4430aadd6189cafa0e46840ef...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 08:22 UTC by Reinout van Schouwen
Modified: 2018-05-29 11:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:41:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: cgroup (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: core_backtrace (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: cpuinfo (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: dso_list (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: environ (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: exploitable (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: limits (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: maps (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: open_fds (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: proc_pid_status (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details
File: var_log_messages (deleted)
2017-11-06 08:22 UTC, Reinout van Schouwen
no flags Details

Description Reinout van Schouwen 2017-11-06 08:22:32 UTC
Version-Release number of selected component:
fwupd-0.9.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: __strcmp_sse2_unaligned
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=c0731fdc8ffc40a1871fd2a4a485208e;i=cb6;b=9c9ae8d1117e47c69b51bc064ccbc79b;m=145cd4be;t=55d4bed382c6f;x=9751205e93400f82
kernel:         4.13.9-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:31
 #1 fu_plugin_dell_match_dock_component at ../plugins/dell/fu-plugin-dell.c:135
 #2 fu_plugin_dell_device_added_cb at ../plugins/dell/fu-plugin-dell.c:336
 #7 g_usb_context_idle_signal_cb at gusb-context.c:259

Comment 1 Reinout van Schouwen 2017-11-06 08:22:36 UTC
Created attachment 1348454 [details]
File: backtrace

Comment 2 Reinout van Schouwen 2017-11-06 08:22:37 UTC
Created attachment 1348455 [details]
File: cgroup

Comment 3 Reinout van Schouwen 2017-11-06 08:22:38 UTC
Created attachment 1348456 [details]
File: core_backtrace

Comment 4 Reinout van Schouwen 2017-11-06 08:22:39 UTC
Created attachment 1348457 [details]
File: cpuinfo

Comment 5 Reinout van Schouwen 2017-11-06 08:22:41 UTC
Created attachment 1348458 [details]
File: dso_list

Comment 6 Reinout van Schouwen 2017-11-06 08:22:42 UTC
Created attachment 1348459 [details]
File: environ

Comment 7 Reinout van Schouwen 2017-11-06 08:22:44 UTC
Created attachment 1348460 [details]
File: exploitable

Comment 8 Reinout van Schouwen 2017-11-06 08:22:45 UTC
Created attachment 1348461 [details]
File: limits

Comment 9 Reinout van Schouwen 2017-11-06 08:22:47 UTC
Created attachment 1348462 [details]
File: maps

Comment 10 Reinout van Schouwen 2017-11-06 08:22:48 UTC
Created attachment 1348463 [details]
File: open_fds

Comment 11 Reinout van Schouwen 2017-11-06 08:22:49 UTC
Created attachment 1348464 [details]
File: proc_pid_status

Comment 12 Reinout van Schouwen 2017-11-06 08:22:50 UTC
Created attachment 1348465 [details]
File: var_log_messages

Comment 13 Reinout van Schouwen 2017-11-06 08:24:44 UTC
Issue might have been triggered by unconnecting/reconnecting the usb-c Dell Thunderbolt dock.

Comment 14 Fedora End Of Life 2018-05-03 08:15:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:41:46 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.